#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define	major		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define rel 2

Name:		kwave
Epoch:		1
Version: 16.12.3
Release: 	%mkrel %{rel}
Summary:	A sound editor for Plasma 5
Group:  	Sound/Editors and Converters
License:	GPLv2+
URL:		https://www.kde.org/applications/multimedia/kwave/
Source0: 	http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Completion)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5GuiAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5Init)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5Service)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)

BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)

BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(flac++)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	libid3-devel
BuildRequires:	imagemagick

Recommends:	%{name}-handbook

%description
Kwave is a sound editor designed for the Plasma 5 Desktop Environment.

With Kwave you can edit many sorts of wav-files including multi-channel
files. You are able to alter and play back each channel on its own.
Kwave also includes many plugins (most are still under development) to
transform the wave-file in several ways and presents a graphical view
with a complete zoom- and scroll capability.

%files
%doc AUTHORS CHANGES README TODO
%license LICENSES
%{_kf5_bindir}/%{name}
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_servicetypes}/%{name}-plugin.desktop
%{_kf5_datadir}/%{name}/
%{_qt5_plugindir}/%{name}/

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Libraries needed by %{name}
Group:		System/Libraries

%description -n	%{libname}
Libraries needed for %{name}.

%files -n %{libname}
%{_kf5_libdir}/lib%{name}*.so.%{major}{,.*}

#--------------------------------------------------------------------

%package	handbook
Summary:	Kwave Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	handbook
This package provides Kwave handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5 -DWITH_MP3=ON

%make_build

%install
%make_install -C build


%changelog
* Sun Mar 12 2017 daviddavid <daviddavid> 1:16.12.3-2.mga6
+ Revision: 1092097
- add missing epoch

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090138
- New version 16.12.3

  + daviddavid <daviddavid>
    - New version 16.12.2 (says hello kwave! now part of the kde apps stack)
    - update URL and Source URL
    - translations are now provided by kde-l10n package

* Sat Aug 06 2016 daviddavid <daviddavid> 1:0.9.2-1.mga6
+ Revision: 1044772
- new version: 0.9.2
- add subpackage kwave-handbook

* Sat Jun 18 2016 luigiwalser <luigiwalser> 1:0.9.1-2.mga6
+ Revision: 1022615
- rebuild with fix libmad

* Mon Jun 06 2016 daviddavid <daviddavid> 1:0.9.1-1.mga6
+ Revision: 1020405
- new version: 0.9.1
- port to Qt5/Kf5
- update description and summary

* Mon Feb 08 2016 umeabot <umeabot> 1:0.8.12-4.mga6
+ Revision: 943099
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.8.12-3.mga5
+ Revision: 749270
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.8.12-2.mga5
+ Revision: 681247
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 fwang <fwang> 1:0.8.12-1.mga5
+ Revision: 667265
- 0.8.12

* Sat Oct 19 2013 umeabot <umeabot> 1:0.8.10-3.mga4
+ Revision: 530158
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 fwang <fwang> 1:0.8.10-2.mga4
+ Revision: 456322
- update br

* Fri May 24 2013 fwang <fwang> 1:0.8.10-1.mga4
+ Revision: 425863
- br opus devel
- new version 0.8.10

* Sat Jan 12 2013 umeabot <umeabot> 1:0.8.8-3.mga3
+ Revision: 356588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1:0.8.8-2.mga3
+ Revision: 307472
- update rpm group

* Mon May 28 2012 fwang <fwang> 1:0.8.8-1.mga3
+ Revision: 247775
- update file list
- new version 0.8.8

* Thu Jan 12 2012 fwang <fwang> 1:0.8.7-3.mga2
+ Revision: 195274
- rebuild for new audiofile

* Sat Dec 10 2011 eatdirt <eatdirt> 1:0.8.7-2.mga2
+ Revision: 180303
- Rebuilt for fftw-3.3

* Sat Dec 03 2011 fwang <fwang> 1:0.8.7-1.mga2
+ Revision: 175423
- imported package kwave

